import React from 'react';
import { createRoot } from 'react-dom/client';
import './index.css';
import App from './App';
import { ThemeProvider } from './components/ThemeProvider';

const el = document.getElementById('woonoow-admin-app');
if (el) {
  createRoot(el).render(
    <ThemeProvider>
      <App />
    </ThemeProvider>
  );
} else {
  console.warn('[WooNooW] Root element #woonoow-admin-app not found.');
}